/* Font Poppins */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap");
/* Handwritting Font */
@import url("https://fonts.googleapis.com/css2?family=Kaushan+Script&display=swap");

:root {
  /* COLOR */
  --bg-color: #fffbf9;
  --main-color: rgb(255, 237, 225);
  --main-color-rgb: 255, 237, 225;
  --sub-color: rgb(50, 37, 87);
  --sub-color-rgb: 50, 37, 87;
  --blue-color: #385898;
  --white-color: #fff;
  --orange-color: rgb(211, 81, 70);
  --orange-light-color: rgb(220, 104, 3);
  --orange-light-color-rgb: 220, 104, 3;
  --orange-color-rgb: 211, 81, 70;
  --black-color: rgb(0, 0, 0);
  --black-color-rgb: 0, 0, 0;
  --side-bar-bg: rgba(252, 168, 168, 0.1);
  --grey-color-rgb: 51, 51, 51;
  /* BORDER RADIUS */
  --border-main: 1px solid rgba(175, 175, 175, 0.3);
  --bor-rad-5: 5px;
  --bor-rad-10: 10px;
  --bor-rad-16: 16px;
  --circle-radius: 50%;
  /* TRANSITION */
  --transition-all: all 0.5s ease;
  /* SIZE */
  --container: 1440px;
  --header-size: 100px;
  --logo-size: 40px;
  /* Font Family */
  --hand-write: "Kaushan Script", cursive;
  /* Box Shadow */
  --normal-shadow: 0px 0px 12px 0px rgba(var(--orange-color-rgb), 0.4);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-family: "Poppins", sans-serif;
  line-height: 1.5;
}

body {
  background-color: var(--bg-color);
}

a {
  text-decoration: none;
  color: inherit;
}

li {
  list-style: none;
}

img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

button {
  width: max-content;
  border: none;
  outline: none;
  font-size: 16px;
  padding: 1rem;
  border-radius: var(--bor-rad-10);
  font-weight: 700;
  background-color: rgba(var(--orange-color-rgb), 0.8);
  cursor: pointer;
  border: 1px solid transparent;
  transition: var(--transition-all);
  /* Disable Select */
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently by Chrome, Edge, Opera and Firefox */
}

button:hover {
  border: 1px solid var(--orange-color);
  background-color: var(--white-color);
  color: var(--orange-color);
  /* Box Shadow */
  -webkit-box-shadow: 4px 4px 8px 0px rgba(0, 0, 0, 0.4);
  -moz-box-shadow: 4px 4px 8px 0px rgba(0, 0, 0, 0.4);
  box-shadow: 4px 4px 8px 0px rgba(0, 0, 0, 0.4);
}

input {
  outline: none;
  border: none;
}

label {
  cursor: pointer;
}

.star {
  cursor: pointer;
  font-size: 32px;
}

.container {
  max-width: var(--container);
  margin: 0 auto;
}

.container.page {
  padding-top: calc(var(--header-size) + 8px);
}

.container-fluid {
  width: 100%;
  background-color: var(--main-color);
}

.swiper {
  width: 100%;
  height: 100%;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  cursor: pointer;
  /* Center slide text vertically */
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.swiper {
  margin: auto;
}

h1.title {
  font-size: 50px;
  text-align: center;
  padding-top: 2rem;
  color: var(--orange-color);
  font-family: var(--hand-write);
  display: flex;
  flex-direction: row;
}

h1.title:before,
h1.title:after {
  content: "";
  flex: 1 1;
  border-bottom: 2px solid;
  margin: auto;
}
h1.title:before {
  margin-right: 10px;
}
h1.title:after {
  margin-left: 10px;
}

p.desc {
  font-size: 18px;
  text-align: center;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(51, 51, 51, 0.6);
}

.disableSelect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently by Chrome, Edge, Opera and Firefox */
}

.fullView {
  width: 100%;
  height: 100%;
}

.bor-rad-10 {
  border-radius: var(--bor-rad-10);
  overflow: hidden;
}
